## Macro BOOST_LOG_UNIQUE_IDENTIFIER_NAME

BOOST_LOG_UNIQUE_IDENTIFIER_NAME

## Synopsis

    // In header: <boost/log/utility/unique_identifier_name.hpp>

    BOOST_LOG_UNIQUE_IDENTIFIER_NAME(prefix)

## Description

Constructs a unique (in the current file scope) token that can be used as a variable name. The name will contain a prefix passed in the prefix argument. This allows to use the macro multiple times on a single line.